-->

Why you need to upgrade to PHP 7+ as soon as possible - HOSTVN Blog

    PHP is one of the most popular website design languages ​​currently. In fact, 70% of websites use PHP.

    PHP also powers WordPress sites. But one major problem we often encounter in the WordPress community is that many websites, businesses, hosting providers and developers don't support the latest versions of PHP. This is especially annoying when considering upgrading to the php version.

    upgrade to php7
    Why upgrade to php7

    HOSTVN provides the service hosting Supports the latest PHP versions from 5.3 to 7.x

    We strongly believe that all WordPress users should upgrade to the latest PHP version as soon as possible. Upgrading will immediately improve the speed and performance of your website, plus it offers security and compatibility benefits.

    WordPress and PHP issues

    8 out of 10 WordPress sites running on a PHP version are no longer supported if the site owner is not acting fast.

    According to the Statistics of WordPress.org , 26.5% of WordPress websites are using PHP 5.6. What is the problem? PHP 5.6 ended development on January 19, 2017 and it will officially stopped updating on December 31 . This means it will no longer support security and websites that continue to use it may expose unpatched vulnerabilities.

    Next, PHP 7.0, reached the end of its life on December 3, 2018. It is no longer a supported version of PHP. However, 15.2% of WordPress websites are on PHP 7.0.

    If you are thinking, this is not the new version of PHP 7.0 ?! This is a version two years ago and 11 months ago. As with any software, PHP has a release life cycle that it needs to keep abreast to continue developing with new enhancements and features (like WordPress). Each major version of PHP is usually fully supported with security patches and fixes for two years after release.

    And currently, about 10% of other websites are running on unsupported versions of PHP, including 5.2, 5.3, 5.4 and 5.5.

    So, in total, at the time of writing, up to 70% of WordPress websites are running or about to run, a PHP version is not supported.

    Only about 30% of WordPress websites are running on the latest supported versions, PHP PHP 7.2 and PHP 7.3.

    upgrade to php 7

    Why are many WordPress websites still using the old version of PHP?

    There are many reasons and sites for websites to continue running on outdated and unsupported versions of PHP, but these are the most common factors.

    1. Website owner Unknown or Not interested

    For many website owners, especially those who are not technically inclined, all they care about is that their website is working and working well and looks good. If they don't have to upgrade their PHP version, why would they want to?

    2. Plugins and theme related issues

    For developers with plugins and themes, updating to the latest PHP versions involves updating their source code, along with extensive testing to ensure compatibility. After all, they don't want to break their users' site and make them slow to upgrade to a new PHP compatible version.

    3. The web host does not support the new PHP version

    The basic thing that appears is that web hosting companies do not want to break their clients' website. Although PHP 5.6 was released in 2014 and PHP 7.0 is about to expire, some hosting providers have stopped updating their servers to the latest versions of PHP (7.2 or 7.3) due to the potential for breaking. Broken plugins and themes.

    This means that if you want your website to run on the latest version of PHP, you will need to contact your hosting provider to help you.

    HOSTVN provides the service hosting Supports the latest PHP versions from 5.3 to 7.x

    Why does wordpress not force users to use the new PHP

    The WordPress project did not force users into the latest PHP versions because it was quite complicated.

    But things are set to change in 2019.

    At WordCamp US in December 2018, it was announced that PHP 5.6 will become the minimum supported version in the first half of 2019 and the minimum version will be upgraded to PHP 7.0 version in the second half of 2019. If all goes according to plan.

    Website owners can only disable this by updating PHP.

    Recently, in early December, WordPress core contributor Gary Pendergast proposed updating PHP versions. The plan, which Matt Mullenweg has confirmed in WordCamp US, will make PHP 5.6 the minimum required version for WordPress in April 2019, with PHP 7.0 becoming the minimum version by early December 2019.

    After Matt published the proposal at WCUS, it received acclaim from the wordpress community.

    Why should the party upgrade PHP 7+

    Job The upgrade comes with loads of benefits on speed, performance and security .

    1. Speed ​​and performance

    If your site is running on an older version of PHP, updating to the latest version will give you much more performance than PHP 5.

    When PHP 7.0 was released, it was widely praised for bringing about significant performance. In fact, the official PHP benchmark using WordPress 4.1.1 shows that PHP 7.0 allows servers to make twice as many requests per second as PHP 5.6 with less than half the latency.

    Screenshot_89

    Kinsta recently also publishes benchmark performance , comparing PHP 5.6, PHP 7.0, PHP 7.1, PHP 7.2 and PHP 7.3. Their findings show that PHP 7.3 performs 3 times more requests per second than PHP 5.6.

    php-performance

    If you need more evidence of the increased performance you'll get when upgrading, the benchmarking from open source news and evaluation site Phoronix pointed out that PHP 7.3, released at the end of 2018, is about 5% faster than PHP 7.2.

    2. Support and compatibility

    Compatibility is another big reason why you want the latest PHP version. Like any software, developers will only support older versions for a certain period of time. For example, older iPhone versions are not compatible with the latest iOS version, making them virtually useless.

    This leads to the fact that supporting old software and ensuring compatibility is very costly, mostly on time for plugin and theme developers. They want to move forward with the addition of new features and security and performance improvements to their products.

    In fact, problems with older versions of PHP frequently appear in WordPress.org support forums. If you search on Tiki, there are more than 2,700 results.

    3. Privacy

    Another basic reason why you should upgrade is to secure your WordPress site. Running the latest version of PHP ensures that your site is protected against vulnerabilities identified in earlier PHP versions.

    For example: According to CVE data security holes , there are 18 known vulnerabilities found in PHP this year. In 2017, 43 security exploits were discovered and 2016 found 107 major vulnerabilities.

    These vulnerabilities include DoS, code execution, SQL SQL, XSS and many other types of exploits.

    Screenshot_90

    Check PHP compatibility

    Hopefully now I have convinced you of the advantages of updating to the latest PHP version. But before you go ahead and update, there are a few things you need to do first: check which version of PHP you're using and also check the compatibility of your website with the latest version.

    If you are not sure which PHP version your website is using? Here is how you can check.

    Install the plugin Show PHP version You can download it for free from the WordPress plugin archive. When you activate this plugin, it will display the PHP version in your WordPress dashboard.

    Screenshot_91

    You should also check that your plugins and themes are compatible with the latest PHP version before upgrading. Plugin Check PHP compatibility WP Engine is the best tool for this job. This plugin allows you to scan your website and check which plugins are compatible with the latest three versions of PHP.

    Screenshot_92

    After the scan is complete, it will display the list of your plugins and mark the plugins that are not compatible with the new PHP version you are testing.

    Screenshot_93

    If you find that any plugin you use is incompatible with the latest PHP version or gives you unknown results or warnings, contact the plugin author and ask for support.

    Time to upgrade to PHP 7

    Hopefully, I've provided a compelling enough argument to convince you to upgrade to the latest PHP version. Upgrading will not only give you immediate performance boost, but your site will also be better protected against security holes found in older PHP versions.

    Before upgrading your website, make sure you check the compatibility of your website with the PHP version you want to switch to and make a backup of your data. Even create a clone version of your site and test it before upgrading your site.

    According to wp-rocket

    Không có nhận xét nào